#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const generate_and_save_1 = require("./generate-and-save");
const init_1 = require("./init");
const cli_error_1 = require("./utils/cli-error");
const config_1 = require("./config");
const [, , cmd] = process.argv;
switch (cmd) {
    case 'init':
        init_1.init()
            .then(() => {
            process.exit(0);
        })
            .catch(cli_error_1.cliError);
        break;
    default:
        generate_and_save_1.generate(config_1.createConfig())
            .then(() => {
            process.exit(0);
        })
            .catch(cli_error_1.cliError);
}
//# sourceMappingURL=cli.js.map